Subject: Re: linux-next: build failure after merge of the vfio tree

From: Alex Williamson <[email-masked]>
Date: Tue, 13 Oct 2020 13:20:16 -0600

On Tue, 13 Oct 2020 18:56:07 +0300
Diana Craciun OSS <[email-masked]> wrote:

> Hi,
> 
> How does it fail? What's the error?
> 
> Thanks,
> Diana
> 
> 
> On 10/13/2020 6:07 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the vfio tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > 
> > Caused by commit
> > 
> >    cc0ee20bd969 ("vfio/fsl-mc: trigger an interrupt via eventfd")
> >    ac93ab2bf69a ("vfio/fsl-mc: Add support for device reset")
> > 
> > I have used the vfio tree from next-20201012 for today.

Thanks, Stephen.  Diana has posted a 32bit build fix which I've merged,
maybe that was the error.  Also Diana's series in my branch is currently
dependent on fsl-bus support in GregKH's char-misc-next branch.  Looking
at the log from the successful build, I wonder if our branches are just
in the wrong order (vfio/next processed on line 341, char-misc-next
processed on 387).  I don't know if you regularly re-order for this
sort of thing, otherwise it should work out when Greg's branch gets
merged, but testing sooner in next would be preferred.  Thanks,

Alex